org.apache.fop.render

## Interface ImageAdapter

    public interface ImageAdapter

This interface represents an optional feature that can be provided by a renderer. It is exposed by calling the getImageAdapter() method on the renderer. Renderers that support this feature allow painting of images (RendererImage instances).

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `paintImage(RenderedImage image, RendererContext context, int x, int y, int width, int height)` Paints an image at the given position.

### Method Detail

#### paintImage

    void paintImage(RenderedImage image,
                    RendererContext context,
                    int x,
                    int y,
                    int width,
                    int height)
             throws IOException

Paints an image at the given position.

Parameters:
  `image` - the image which will be painted
  `context` - the renderer context for the current renderer
  `x` - X position of the image (in millipoints)
  `y` - Y position of the image (in millipoints)
  `width` - width of the image (in millipoints)
  `height` - height of the image (in millipoints)
Throws:
  `IOException` - In case of an I/O error while writing the output format